Table of Contents

## Name

error_exit - prints error messages and exits

## Synopsis

#include <vips/vips.h>

void error_exit(variable_list)

## Description

error_exit prints at the standard error output:

- the message held in buffer errorstring[] and
- the message held in variable_list.

The format of ( variable_list ) is:

(format, arg1, arg2, ...)

where format, arg1, arg2, ... are the same as in printf. The function exits to the system after printing any error messages accumulated in im_errorstring due to calls to im_errormsg(3) .

## See Also

im_errormsg(3) , im_intro(3) , printf(1) , im_warning(3) .

## Copyright

Birkbeck College

## Author

N. Dessipris - 22/04/1991

Table of Contents

- Name
- Synopsis
- Description
- SeeAlso
- Copyright
- Author